Bug 8474 - SMB2 create doesn't cope with an Apple client using NULL blob in create.
SMB2 create doesn't cope with an Apple client using NULL blob in create.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-09-21 18:37 UTC by Jeremy Allison
Modified: 2011-10-11 18:06 UTC (History)
2 users (show)

See Also:


Attachments
/tmp/look (818 bytes, patch)
2011-09-21 20:50 UTC, Jeremy Allison
metze: review+
Details
git-am fix for 3.6.1 - part #1 (1.61 KB, patch)
2011-09-26 22:02 UTC, Jeremy Allison
metze: review+
Details
git-am fix for 3.6.1 - part #2 (886 bytes, patch)
2011-09-26 22:02 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-09-21 18:37:45 UTC
We don't cope with zero data offset and zero data length. Windows and other servers cope with this.

Patch to follow.

Jeremy.
Comment 1 Stefan Metzmacher 2011-09-21 20:45:20 UTC
From looking at the code we should already allow this, or am I missing something?
Comment 2 Jeremy Allison 2011-09-21 20:50:46 UTC
Created attachment 6927 [details]
/tmp/look

Patch for 3.6.1. Hopefully this will be clear as to the problem.
Jeremy.
Comment 3 Stefan Metzmacher 2011-09-26 05:24:36 UTC
Comment on attachment 6927 [details]
/tmp/look

Looks, ok, but please upload the cherry-picked patch from master
Comment 4 Jeremy Allison 2011-09-26 22:02:09 UTC
Created attachment 6943 [details]
git-am fix for 3.6.1 - part #1

Cherry-picked from master.
Comment 5 Jeremy Allison 2011-09-26 22:02:40 UTC
Created attachment 6944 [details]
git-am fix for 3.6.1 - part #2
Comment 6 Stefan Metzmacher 2011-10-10 11:03:24 UTC
Comment on attachment 6943 [details]
git-am fix for 3.6.1 - part #1

Looks, ok
Comment 7 Stefan Metzmacher 2011-10-10 11:03:41 UTC
Comment on attachment 6944 [details]
git-am fix for 3.6.1 - part #2

Looks, ok
Comment 8 Stefan Metzmacher 2011-10-10 11:04:00 UTC
Karolin, please pick for the release
Comment 9 Karolin Seeger 2011-10-11 18:06:16 UTC
Pushed both patches to v3-6-test.
Closing out bug report.

Thanks!